package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlydisinfectrecord.ElderlyDisinfectRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlydisinfectrecord.ElderlyDisinfectRecordRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlydisinfectrecord.ElderlyDisinfectRecordSaveReqVO;

public interface ElderlyDisinfectRecordService {

    Long create(ElderlyDisinfectRecordSaveReqVO createReqVO);

    void update(ElderlyDisinfectRecordSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyDisinfectRecordRespVO get(Long id);

    PageResult<ElderlyDisinfectRecordRespVO> getPage(ElderlyDisinfectRecordPageReqVO pageReqVO);
}
